import * as React from "react";
import {Redirect} from 'react-router-dom';
import { Layout, Menu, Breadcrumb } from 'antd';
import BmsMenu from '../../store/containers/MenuContainer'
import { Route, RouteComponentProps } from "react-router";
import LoadingWrap from "../../store/containers/LoadingWrapContainers";
import { connect } from "react-redux";
import { url } from "inspector";
const { SubMenu } = Menu;
const { Header, Content, Sider } = Layout;

interface IPIndex {
  menus:any;
} 

class Index extends React.Component<IPIndex&RouteComponentProps<any>> {
    componentDidMount(){
        console.log(this)
     // console.log(this.props.match.url+'/test');
    }
    handlePathChange(path:string){
      this.props.history.push(path);
    }
    genRouter = (menus:any) => {
      return menus.reduce((pre:any,menu:any) => {
        if(menu.children.length)
        {
          return pre.concat(this.genRouter(menu.children))
        }else{
          let menu1 = '/SysOrgControl/SysOrgControl';
          let component =  () => import('.'+menu.url);
          const componentWrapped = (props:any) => (
            <LoadingWrap load={component}>
            {(Wrapped:any) => <Wrapped   {...props}/>}
            </LoadingWrap>
            );
          return (
            pre.concat(<Route 
            path={`${this.props.match.url}${menu.url}`}
            key={menu.id} 
            component={componentWrapped}
            />)
          )
        }
      },[])

    }
    render() {
        return (
            <Layout style={{height:'100%'}}>
    <Header style={{padding:'10px'}}>
    <div style={{color:'#fff',height:'100%',display:'flex',justifyContent:'space-between',alignItems:'center'}}><img src={require("../../asserts/images/logo.png")} alt="bms-logo"/><span style={{lineHeight: '16px'}}>欢迎您，admin<br /> {new Date().toDateString()}</span></div>
    </Header>
    <Layout>
      <Sider width={200} style={{ background: '#fff',overflowY:'auto',overflowX:'hidden'}}>
        <BmsMenu matchUrl={this.props.match.url} defaultSelectedKeys={this.props.location.pathname} handlePathChange={this.handlePathChange.bind(this)}/>
      </Sider>
      <Layout style={{ padding: '0 24px 24px' }}>
        <Breadcrumb style={{ margin: '16px 0' }}>
          {this.props.match.path.split("/").map(
            (item) => {
              return (
                <Breadcrumb.Item key={item}>{item}</Breadcrumb.Item>
              )
            }
          )}
        </Breadcrumb>
        <Content style={{ background: '#fff', padding: 24, margin: 0, minHeight: 280 }}>
          {this.genRouter(this.props.menus)}
        </Content>
      </Layout>
    </Layout>
  </Layout>
        );
    }
} 
const mapStateToProps = (state:any) => {
  return {
    menus: state.menus||[]
  }
}
const IndexContainer = connect(
  mapStateToProps
)(Index)
export default IndexContainer;
 