import {Menu,Icon} from 'antd'
import {action} from '../../store'
import * as React from "react";
import ScrollBar from '../../util/scroll'
import axios from 'axios'
import { Button } from 'antd/lib/radio';
const {SubMenu} = Menu;

interface menu  {
  menuName:string;
  icon:string;
  url:string;
  del:0|1;
  children:menu [];
  id:string;
  pid:string;
}

interface  IPMenuList {
  menus:menu [];
 
}

interface ISBMSMenu {
  menus:menu [];  
  defaultOpenKeys:string [];
}
interface IPBMSMenu { 
  saveMenu:action.saveMenu;
  defaultSelectedKeys:string;
  handlePathChange(path:string):void;
  matchUrl:string;
}
 

class BmsMenu extends React.Component<IPBMSMenu,ISBMSMenu>{
    state = {
      menus:[],
      defaultOpenKeys:[]
    }
    handleSelect = ({ item, key, selectedKeys }:any) => {
      //console.log(item, key, selectedKeys);
     this.props.handlePathChange(key);
    }
    getDefaultOpenKeys = (menus:menu[],cb:() => any) => {
      menus = this.convertArray(menus);
      let selectKey = this.props.defaultSelectedKeys;
      let openKeys = [];
      let menu = this.findMenuById(selectKey,"url",menus);
      while( menu != null && menu.pid != '-1'){
        menu = this.findMenuById(menu.pid,'id',menus)
        if(menu != null) {
          openKeys.push(menu.id);
        }
      }
      console.log(openKeys);
      this.setState({
        defaultOpenKeys:openKeys
      },() => {
        cb();
      })
    }
    findMenuById = (selectKey:string,condition:"id"|"url",menus:menu []) => {
      let rtn:menu|null = null;
      for(let menu of menus){
        if(condition == 'url'){
          if(this.props.matchUrl+menu[condition] == selectKey){
            rtn = menu;
            break;
          }
        }else{
          if(menu[condition] == selectKey){
            rtn = menu;
            break;
          }
        }
        
      }
      return rtn;
    }
    convertArray = (menus:menu []):menu [] => {
      return menus.reduce((pre:menu [],menu) => {
        if(menu.children.length){
          return pre.concat(this.convertArray(menu.children)).concat(menu);
        }
        else {
          return pre.concat(menu);
        }
      },[])
    }
    componentDidMount(){
      console.log(this);
      axios.get('/SysMenuControl/getcurrentUserMenu').then((res) => {
        //console.log(res);
        this.getDefaultOpenKeys(res.data.dataList.slice(0),() => {
          this.setState({
            menus: res.data.dataList
          },() => {
            
           }) 
        });
        this.props.saveMenu(res.data.dataList);
      })
    }
    WrapRecursion(dataSource:menu[]):any{
      let menus = this.recursion(dataSource);
       return menus;
    }
    recursion(dataSource:menu[]):any {
      return (
        dataSource.map((menu, index) => {
          if (menu.children.length > 0) {
            return (
              <SubMenu key={menu.id} title={menu.menuName} >
                {this.recursion(menu.children)}
              </SubMenu>
            )
          } else {
            return (<Menu.Item key={this.props.matchUrl+menu.url}>{menu.menuName}</Menu.Item>)
          }
        })
      )
    }
     
    render(){
        if(this.state.menus.length){
          return (
            <ScrollBar>
            <Menu
            mode="inline"
            inlineCollapsed={true}
            style={{ height: '100%', borderRight: 0 }}
            onSelect={this.handleSelect}
            defaultSelectedKeys={[this.props.defaultSelectedKeys]}
            defaultOpenKeys={this.state.defaultOpenKeys}
         >
            {
        this.WrapRecursion(this.state.menus)
          }
          </Menu>
           </ScrollBar>
        );
        }else{
          return (
            <div></div>
          )
        }
        
    }
}

export default BmsMenu;