import * as React from "react";
import {
    Row,
    Col,
    Form,
    Input,
    Icon,
    Button,
    Checkbox,
    Avatar
} from 'antd';
import { FormComponentProps } from 'antd/lib/form/Form';
import { error } from "util";
import { FormItemProps } from "antd/lib/form/FormItem";
import axios from 'axios'
import qureystring from 'querystring'
import {RouteComponentProps} from 'react-router'
import {action} from '../../store'
interface MyFormProps extends FormComponentProps {
  onLoginSuccess():any
}
interface IWindow extends Window{
  p:any
}
declare var window:IWindow;
class LoginContainer extends React.Component {
  render(){
      return (
          <Row type="flex" justify="center" align="middle" style={{height:'100%'}}>
          <Col span={5}>{this.props.children}</Col>
          </Row>
      );
  } 
}

const FormItem = Form.Item;
function hasErrors(fieldsError:any) {
    return Object.keys(fieldsError).some(field => fieldsError[field]);
}
class LoginForm extends React.Component<MyFormProps>{
    state = {
      getCodeUrl:"/getCode?r=",
      getCodeTimes:0,
      errorMessage:undefined,
      getAuth:'/LoginControl/login/auth'
    }
    handleSubmit = () => {
      this.props.form.validateFields((errors:any,values:any) => {
        if(!errors){
          //console.log(this.props);
          axios.post(this.state.getAuth,qureystring.stringify(values)).then((response:any) => {
            if(response.data.result != '200'){
              this.setState((prestate:any) => ({
                errorMessage:response.data.msg,
                getCodeTimes:prestate.getCodeTimes + 1
              }),() => {
                this.props.form.validateFields(['code'],{force:true},(errors,value) => {
                  this.setState({
                    errorMessage:undefined
                  })
                })
              })
            }else {
              this.props.onLoginSuccess();
            }
          })
        }
      });
    }
    changeCode(){
      this.setState((pre:any) => ({
        getCodeTimes:pre.getCodeTimes + 1
      }))
    }
    formValidate = (rule:any,value:any,callback:any) => {
      callback(this.state.errorMessage);
    }
    render(){
      const {getFieldDecorator} = this.props.form;
      this.props.children
      const formItemLayout:FormItemProps = {
        labelCol: {
          sm:{span:6}
        },
        wrapperCol: {
          sm:{span:18}
        }
      }
      return (
        <Form>
          <FormItem style={{textAlign:'center'}}>
          <img src={require("../../asserts/images/logo.png")} alt="bms-logo"/>
          </FormItem>  
          <FormItem
          hasFeedback
          label="用户名"
          {...formItemLayout}
          >
            {
              getFieldDecorator('username',{
                rules:[{
                  message:'请输入用户名！',
                  required:true
                }]
              })(
                <Input prefix={<Icon type="user"/>} placeholder="请输入用户名" type="text">

                </Input>
              )
            }
          </FormItem>
          <FormItem
          hasFeedback
          label="密码"
          {...formItemLayout}
          >
            {
              getFieldDecorator('password',{
                rules:[{
                  message:'请输入密码！',
                  required:true
                }]
              })(
                <Input prefix={<Icon type="lock"/>} placeholder="请输入密码" type="password">

                </Input>
              )
            }
          </FormItem>
          <FormItem
          label="验证码"
          {...formItemLayout}
          > 
            <Row gutter={8}>
              <Col span={12}>
                {
                  getFieldDecorator('code',{
                    rules:[{
                      message:'请输入验证码！',
                      required:true
                    },{
                      validator:this.formValidate
                    }]
                  })(
                    <Input   placeholder="请输入验证码" type="text">
    
                    </Input>
                  )
                }
              </Col>
              <Col span={12}>
                  <img src={this.state.getCodeUrl + this.state.getCodeTimes} alt="验证码" onClick={this.changeCode.bind(this)} 
                    style={{cursor:'pointer'}}
                    title={'点击更换验证码'}
                  />
              </Col>
            </Row>
          </FormItem>
          <FormItem>
            <Button style={{width:"100%"}} onClick={this.handleSubmit} type="primary" htmlType="submit">
              提交
            </Button>
          </FormItem>    
        </Form>
      );
    }
} 

const LoginFormWrap = Form.create()(LoginForm);
interface LoginProps  {
  setLogin:action.setLogin
}
class Login extends React.Component<LoginProps&RouteComponentProps<any>> {
  constructor(props:any) {
      super(props);
      this.state = {
           
      };
  }
  componentDidMount(){
    let handler1 = {
      get: function(target:any, name:any){
          return name in target ? target[name] : 37;
      }
  };
  
    //console.log(Object.getOwnPropertyDescriptor(t,'PromiseStatus'))
  }
  handleChange(e:React.MouseEvent<HTMLInputElement>) {
      this.setState({
          test: e.currentTarget.value
      });
  }
  handleLoginSuccess = () => {
    this.props.setLogin(true);    
    this.props.history.push('/index')
  }
  render() {
      return (
          <LoginContainer>
              <LoginFormWrap onLoginSuccess={this.handleLoginSuccess}/>
          </LoginContainer>    
      );
  }
}

export default Login;
