import * as React from 'react';
import {withRouter} from 'react-router-dom';
import {RouteComponentProps} from 'react-router'
import { HTMLAttributes } from 'react';
import {state,action} from '../store'
import axios from 'axios';
import querystring from 'querystring'
const NotFound = () => import('../util/notFound')
type ReactDomExtend = {
  default:React.Component
}
export interface LoadWrapPros {
  load:() => Promise<any>
  children:(params:React.Component|null) => JSX.Element
  login:state['login']
  setLogin:action.setLogin
  menus:state['menus']
}
export interface withRouterProps {
  load:() => Promise<any>
  children:(params:React.Component|null) => JSX.Element
}
interface LoadWrapStates {
  mod:React.Component | null | Element | JSX.Element
  ref:React.ReactNode | null
}

export class LoadingWrap  extends React.Component<LoadWrapPros&RouteComponentProps<LoadWrapPros>, LoadWrapStates>{
  state = {
    // short for "module" but that's a keyword in js, so "mod"
    mod: null,
    ref:{
      style:{
        opacity:0
      }
    }
  };

  componentWillMount() {
    console.log(this.props.login);
    this.load(this.props);
  }

  componentWillReceiveProps(nextProps:LoadWrapPros) {
    if (nextProps.load !== this.props.load) {
      this.load(nextProps);
    }
  }
  componentDidMount(){
    setTimeout(() => {
      if(this.state.ref){
        this.state.ref.style.opacity = 1;        
      }
    },0)
  }
  load(props:LoadWrapPros) {
    this.setState({
      mod: null
    });
    axios.post('/sessionControl',querystring.stringify({action:'get',query:'username'}))
    .then((res:any) => {
      if(!res.data.username && this.props.location.pathname != '/login'){
        this.props.history.push('/login')
      }else{
        props.load().then(
          (rtnMod) => {
            this.setState({
              // handle both es imports and cjs
              mod: rtnMod.default ? rtnMod.default : rtnMod
            });
          }
        ).catch((e) => {
          console.log(e);
          NotFound().then((rtnMod:any) => {
            this.setState({
              // handle both es imports and cjs
              mod:rtnMod.default ? rtnMod.default : rtnMod
            });
          })
          
        });
      }
    })
  }

  render() {
    return (
      <div id="LoadingWrap" ref={(ref:any) => {this.state.ref = ref;}} style={{height:'100%',width:'100%',opacity:0,transition:'all 3s'}}>
      {this.state.mod ? this.props.children(this.state.mod) : null}
      </div>
      );
  }
}
 