// import system components
import * as React from "react";
import * as ReactDOM from "react-dom";
import {
    HashRouter as Router,
    Route,
    Link,
    Switch
} from 'react-router-dom';
import { createStore } from 'redux'
import { Provider } from 'react-redux'

// import custom components
import LoadingWrap from '../store/containers/LoadingWrapContainers';
import reduers from '../store/reducers'
import {
    state,
    actionType
} from '../store'
import { Redirect } from "react-router";
// get the Wrapped components 
const Login = () => import('../store/containers/LoginContainer');
const Index = () => import('../components/Index');
let store = createStore<state,any,undefined>(reduers)

const LoginWrapped = (props:any) => (
<LoadingWrap load={Login}>
{(Wrapped:any) => <Wrapped   {...props}/>}
</LoadingWrap>
);
const IndexWrapped = (props:any) => (
    <LoadingWrap load={Index}>
    {(Wrapped:any) => <Wrapped   {...props}/>}
    </LoadingWrap>
);

class BmsRouter extends React.Component {
    constructor(props:any) {
        super(props);
        this.state = { hasError: false };
    }
    render() {
        return (
            <Provider store={store}>
            <Router>
                <Switch>
            <Route path="/index"  component={IndexWrapped}/>
            <Route  exact path="/login" component={LoginWrapped}/>
            <Route  render={
                (props) => {
                    return (
                        <Redirect to="/index"/>
                    );
                }
            }/>
            </Switch>
             </Router>
            </Provider>
        );
    }
    componentDidCatch(error:Error, info:React.ErrorInfo) {
        // Display fallback UI
        this.setState({ hasError: true });
        // You can also log the error to an error reporting service
    }
}

export default BmsRouter;
